#ifndef __MyuDynamicDll_H__
#define __MyuDynamicDll_H__

#include <windows.h>

//	クラス宣言
class CMyuDynamicDll
{
protected:
	HINSTANCE m_hDll;	//	DLLのハンドル

public:
	//	コンストラクタ・デストラクタ
	CMyuDynamicDll();
	virtual ~CMyuDynamicDll();

	BOOL Load( const char* szModule );
	BOOL Load( HINSTANCE hInstance, const char* szDllFileName ); // フルじゃなくても良い版その代わりhInstance必要
	BOOL Release();
	FARPROC GetProcAddress( const char* szProcName );
	HINSTANCE GetDllHandle(){ return m_hDll; }
};

#endif//__MyuDynamicDll_H__
